/**
 *  手太欠
 *  5g获客星光网 - 商城
 */

Page({

    /**
     * 页面的初始数据
     */
    data: {
        hotkey: []
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad (options) {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {
        // 获取热门关键字数据
        this.hotkeyInfo();
    },

    /**
     * 热门关键字
     */
    hotkeyInfo () {
        wx.$api.mall.hotkey({}).then(res=>{
            this.setData({
                hotkey : res
            })
        })
    },

    /**
     * 搜索
     */
    searchForm(e) {
        let searchValue = e.detail.value.search
        wx.redirectTo({
            url: '/pages/mall/mall_goods/mall_goods?title=' + searchValue
        })
    },

    /**
     * 返回上一页
     */
    goback(){
        wx.navigateBack()
    }
})